Package org.drinkless.tdlib

# Class TdApi.Story

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Story

Enclosing class:
  TdApi

public static class TdApi.Story extends TdApi.Object
Represents a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StoryArea[]`
  `areas`
  Clickable areas to be shown on the story content.
  `boolean`
  `canBeDeleted`
  True, if the story can be deleted.
  `boolean`
  `canBeEdited`
  True, if the story can be edited.
  `boolean`
  `canBeForwarded`
  True, if the story can be forwarded as a message.
  `boolean`
  `canBeReplied`
  True, if the story can be replied in the chat with the story sender.
  `boolean`
  `canGetInteractions`
  True, if interactions with the story can be received through getStoryInteractions.
  `boolean`
  `canGetStatistics`
  True, if the story statistics are available through getStoryStatistics.
  `boolean`
  `canToggleIsPostedToChatPage`
  True, if the story's isPostedToChatPage value can be changed.
  `TdApi.FormattedText`
  `caption`
  Caption of the story.
  `TdApi.ReactionType`
  `chosenReactionType`
  Type of the chosen reaction; may be null if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryContent`
  `content`
  Content of the story.
  `int`
  `date`
  Point in time (Unix timestamp) when the story was published.
  `boolean`
  `hasExpiredViewers`
  True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.
  `int`
  `id`
  Unique story identifier among stories of the given sender.
  `TdApi.StoryInteractionInfo`
  `interactionInfo`
  Information about interactions with the story; may be null if the story isn't owned or there were no interactions.
  `boolean`
  `isBeingEdited`
  True, if the story is being edited by the current user.
  `boolean`
  `isBeingSent`
  True, if the story is being sent by the current user.
  `boolean`
  `isEdited`
  True, if the story was edited.
  `boolean`
  `isPostedToChatPage`
  True, if the story is saved in the sender's profile and will be available there after expiration.
  `boolean`
  `isVisibleOnlyForSelf`
  True, if the story is visible only for the current user.
  `TdApi.StoryPrivacySettings`
  `privacySettings`
  Privacy rules affecting story visibility; may be approximate for non-owned stories.
  `TdApi.StoryRepostInfo`
  `repostInfo`
  Information about the original story; may be null if the story wasn't reposted.
  `long`
  `senderChatId`
  Identifier of the chat that posted the story.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the story; may be null if the story is posted on behalf of the senderChatId.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Story()`
  Represents a story.
  `Story(int id, long senderChatId, TdApi.MessageSender senderId, int date, boolean isBeingSent, boolean isBeingEdited, boolean isEdited, boolean isPostedToChatPage, boolean isVisibleOnlyForSelf, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canToggleIsPostedToChatPage, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption)`
  Represents a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique story identifier among stories of the given sender.

  - ### senderChatId

    public long senderChatId
    Identifier of the chat that posted the story.

  - ### senderId

    @Nullable public TdApi.MessageSender senderId
    Identifier of the sender of the story; may be null if the story is posted on behalf of the senderChatId.

  - ### date

    public int date
    Point in time (Unix timestamp) when the story was published.

  - ### isBeingSent

    public boolean isBeingSent
    True, if the story is being sent by the current user.

  - ### isBeingEdited

    public boolean isBeingEdited
    True, if the story is being edited by the current user.

  - ### isEdited

    public boolean isEdited
    True, if the story was edited.

  - ### isPostedToChatPage

    public boolean isPostedToChatPage
    True, if the story is saved in the sender's profile and will be available there after expiration.

  - ### isVisibleOnlyForSelf

    public boolean isVisibleOnlyForSelf
    True, if the story is visible only for the current user.

  - ### canBeDeleted

    public boolean canBeDeleted
    True, if the story can be deleted.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the story can be edited.

  - ### canBeForwarded

    public boolean canBeForwarded
    True, if the story can be forwarded as a message. Otherwise, screenshots and saving of the story content must be also forbidden.

  - ### canBeReplied

    public boolean canBeReplied
    True, if the story can be replied in the chat with the story sender.

  - ### canToggleIsPostedToChatPage

    public boolean canToggleIsPostedToChatPage
    True, if the story's isPostedToChatPage value can be changed.

  - ### canGetStatistics

    public boolean canGetStatistics
    True, if the story statistics are available through getStoryStatistics.

  - ### canGetInteractions

    public boolean canGetInteractions
    True, if interactions with the story can be received through getStoryInteractions.

  - ### hasExpiredViewers

    public boolean hasExpiredViewers
    True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.

  - ### repostInfo

    @Nullable public TdApi.StoryRepostInfo repostInfo
    Information about the original story; may be null if the story wasn't reposted.

  - ### interactionInfo

    @Nullable public TdApi.StoryInteractionInfo interactionInfo
    Information about interactions with the story; may be null if the story isn't owned or there were no interactions.

  - ### chosenReactionType

    @Nullable public TdApi.ReactionType chosenReactionType
    Type of the chosen reaction; may be null if none.

  - ### privacySettings

    public TdApi.StoryPrivacySettings privacySettings
    Privacy rules affecting story visibility; may be approximate for non-owned stories.

  - ### content

    public TdApi.StoryContent content
    Content of the story.

  - ### areas

    public TdApi.StoryArea[] areas
    Clickable areas to be shown on the story content.

  - ### caption

    public TdApi.FormattedText caption
    Caption of the story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Story

    public Story()
    Represents a story.

  - ### Story

    public Story(int id, long senderChatId, TdApi.MessageSender senderId, int date, boolean isBeingSent, boolean isBeingEdited, boolean isEdited, boolean isPostedToChatPage, boolean isVisibleOnlyForSelf, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canToggleIsPostedToChatPage, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption)
    Represents a story.
    Parameters:
      `id` - Unique story identifier among stories of the given sender.
      `senderChatId` - Identifier of the chat that posted the story.
      `senderId` - Identifier of the sender of the story; may be null if the story is posted on behalf of the senderChatId.
      `date` - Point in time (Unix timestamp) when the story was published.
      `isBeingSent` - True, if the story is being sent by the current user.
      `isBeingEdited` - True, if the story is being edited by the current user.
      `isEdited` - True, if the story was edited.
      `isPostedToChatPage` - True, if the story is saved in the sender's profile and will be available there after expiration.
      `isVisibleOnlyForSelf` - True, if the story is visible only for the current user.
      `canBeDeleted` - True, if the story can be deleted.
      `canBeEdited` - True, if the story can be edited.
      `canBeForwarded` - True, if the story can be forwarded as a message. Otherwise, screenshots and saving of the story content must be also forbidden.
      `canBeReplied` - True, if the story can be replied in the chat with the story sender.
      `canToggleIsPostedToChatPage` - True, if the story's isPostedToChatPage value can be changed.
      `canGetStatistics` - True, if the story statistics are available through getStoryStatistics.
      `canGetInteractions` - True, if interactions with the story can be received through getStoryInteractions.
      `hasExpiredViewers` - True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.
      `repostInfo` - Information about the original story; may be null if the story wasn't reposted.
      `interactionInfo` - Information about interactions with the story; may be null if the story isn't owned or there were no interactions.
      `chosenReactionType` - Type of the chosen reaction; may be null if none.
      `privacySettings` - Privacy rules affecting story visibility; may be approximate for non-owned stories.
      `content` - Content of the story.
      `areas` - Clickable areas to be shown on the story content.
      `caption` - Caption of the story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR